|  | Home · All Classes · Modules

# QGLShader.ShaderType Class Reference
[QtOpenGL module]

### Methods

- __init__ (self, ShaderType)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- ShaderType __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, ShaderType f)
- ShaderType __iand__ (self, int mask)
- int __int__ (self)
- ShaderType __invert__ (self)
- ShaderType __ior__ (self, ShaderType f)
- ShaderType __ixor__ (self, ShaderType f)
- bool __ne__ (self, ShaderType f)
- ShaderType __or__ (self, ShaderType f)
- ShaderType __or__ (self, int f)
- ShaderType __xor__ (self, ShaderType f)
- ShaderType __xor__ (self, int f)

## Detailed Description

## Method Documentation

### ShaderType.__init__ (self, ShaderType)

### ShaderType.__init__ (self, int)

### ShaderType.__init__ (self)

### ShaderType ShaderType.__and__ (self, int mask)

### int ShaderType.__bool__ (self)

### bool ShaderType.__eq__ (self, ShaderType f)

### ShaderType ShaderType.__iand__ (self, int mask)

### int ShaderType.__int__ (self)

### ShaderType ShaderType.__invert__ (self)

### ShaderType ShaderType.__ior__ (self, ShaderType f)

### ShaderType ShaderType.__ixor__ (self, ShaderType f)

### bool ShaderType.__ne__ (self, ShaderType f)

### ShaderType ShaderType.__or__ (self, ShaderType f)

### ShaderType ShaderType.__or__ (self, int f)

### ShaderType ShaderType.__xor__ (self, ShaderType f)

### ShaderType ShaderType.__xor__ (self, int f)